%bcond_with doc

Summary:        Utilities that enhance Festival with some useful features
Name:           festival-freebsoft-utils
Version:        0.10
Release:        6%{?dist}
License:        GPL-2.0-or-later
URL:            https://www.freebsoft.org/festival-freebsoft-utils
Source0:        https://freebsoft.org/pub/projects/%{name}/%{name}-%{version}.tar.gz

Patch3000:      https://github.com/brailcom/festival-freebsoft-utils/pull/1.patch

Requires:       festival
Recommends:     sox /usr/bin/iconv
BuildArch:      noarch

%description
A collection of utilities that enhance Festival with some useful features. They provide all that is
needed for interaction with Speech Dispatcher.

Key festival-freebsoft-utils features are:

• Generalized concept of input events. festival-freebsoft-utils allows not only plain text
  synthesis, but also combining it with sounds. Additionally, mechanism of logical events mapped to
  other events is provided.
• Substitution of events for given words.
• High-level voice selection mechanism and setting of basic prosodic parameters.
• Spelling mode.
• Capital letter signalization.
• Punctuation modes, for explicit reading or not reading punctuation characters.
• Incremental synthesis of texts and events.
• Speech Dispatcher support.
• Rudimentary SSML support.
• Enhance the Festival extension language with functions commonly used in Lisp.
• Support for wrapping already defined Festival functions by your own code.
• Everything is written in the extension language, no patching of the Festival C++ sources is needed.

%if %{with doc}
%package doc
Summary:        Documentation for festival-freebsoft-utils
License:        GPL-2.0-or-later OR GFDL-1.2-no-invariants-or-later
BuildRequires:  make texinfo-tex tex(latex)

%description doc
Documentation for festival-freebsoft-utils in info, PDF, and HTML formats.
%endif

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build clean
%if %{with doc}
%make_build info pdf html
%endif

%install
install -t '%{buildroot}/%{_datadir}/festival' -D -p -m 0644 *.scm
%if %{with doc}
install -t '%{buildroot}/%{_infodir}' -D -p -m 0644 doc/*.info
install -t '%{buildroot}/%{_pkgdocdir}' -D -p -m 0644 \
    doc/*.pdf doc/*.html ANNOUNCE NEWS README
%endif

%files
%license COPYING
%{_datadir}/festival/*.scm

%if %{with doc}
%files doc
%license COPYING
%doc %{_pkgdocdir}/ANNOUNCE
%doc %{_pkgdocdir}/NEWS
%doc %{_pkgdocdir}/README
%doc %{_pkgdocdir}/festival-freebsoft-utils.pdf
%doc %{_pkgdocdir}/festival-freebsoft-utils.html
%doc %{_infodir}/festival-freebsoft-utils.info*
%endif

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.10-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 30 2023 Shuo Wang <abushwang@tencent.com> - 0.10-1
- initial build
